<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
            <title>phpDocumentor</title>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism-okaidia.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.css">
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">phpDocumentor</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
                    <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="namespaces/inc.html" class="">Inc</a>
</h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/inc-api.html" class="">Api</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-base.html" class="">Base</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-defaultdata.html" class="">DefaultData</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-pages.html" class="">Pages</a>
                
            </li>
            </ul>

                        </section>
                <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/OERSI.html" class="">OERSI</a>
</h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/Application.html" class="">Application</a>
</h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/OERSi.html" class="">OERSi</a>
</h4>

                        </section>
            
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/inc.html">Inc</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/inc-defaultdata.html">DefaultData</a></li>
    </ul>

    <article class="phpdocumentor-element -class">
        <h2 class="phpdocumentor-content__title">
    Translation

    
            <div class="phpdocumentor-element__package">
            in package
            <ul class="phpdocumentor-breadcrumbs">
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/OERSI.html">OERSI</a></li>
                            </ul>
        </div>
    
    
    </h2>

        <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/DefaultData/Translation.php"><a href="files/inc-defaultdata-translation.html"><abbr title="inc/DefaultData/Translation.php">Translation.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">16</span>

    </aside>

        
    <section class="phpdocumentor-description"></section>








<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
                    <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-DefaultData-Translation.html#property_translations">$translations</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            </dl>



        

        
    <section class="phpdocumentor-properties">
        <h3 class="phpdocumentor-elements__header" id="properties">
            Properties
            <a href="classes/Inc-DefaultData-Translation.html#properties" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
            -static                                            "
>
    <h4 class="phpdocumentor-element__name" id="property_translations">
        $translations
        <a href="classes/Inc-DefaultData-Translation.html#property_translations" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/DefaultData/Translation.php"><a href="files/inc-defaultdata-translation.html"><abbr title="inc/DefaultData/Translation.php">Translation.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">19</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__static">static</span>    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$translations</span>
     = <span class="phpdocumentor-signature__default-value">[&quot;en&quot; =&gt; [&quot;translations&quot; =&gt; [&quot;N/A&quot; =&gt; &quot;Not defined&quot;, &quot;INPUT_PLACEHOLDER&quot; =&gt; &quot;Search by {{what}} &quot;, &quot;CLEAR_ALL&quot; =&gt; &quot;Clear all&quot;, &quot;SHOW_RESULT_STATS&quot; =&gt; &quot;{{total}} results found&quot;, &quot;PAGE_SIZE_SELECTION&quot; =&gt; &quot;{{size}} / page&quot;, &quot;SHOW_TOTAL&quot; =&gt; &quot;{{rangeStart}}-{{rangeEnd}} of {{total}} items&quot;, &quot;SORT_BY_COUNTER&quot; =&gt; &quot;Sort by Count {{what}}&quot;, &quot;SORT_BY_LABEL&quot; =&gt; &quot;Sort by label {{what}}&quot;, &quot;NOT_FOUND_TITLE&quot; =&gt; &quot;Sorry, page not found!&quot;, &quot;NOT_FOUND_BODY&quot; =&gt; &quot;Sorry, we couldn’t find the page you’re looking for. Perhaps you’ve mistyped the URL? Be sure to check your spelling.&quot;, &quot;NOT_FOUND_LINK&quot; =&gt; &quot;go to plugin&quot;, &quot;ABOUT&quot; =&gt; &quot;Subject&quot;, &quot;LICENSE&quot; =&gt; &quot;License&quot;, &quot;RESOURCE_TYPE&quot; =&gt; &quot;Material type&quot;, &quot;AUTHOR&quot; =&gt; &quot;Author&quot;, &quot;ORGANISATION&quot; =&gt; &quot;Source&quot;, &quot;LANGUAGE&quot; =&gt; &quot;Languages&quot;, &quot;PROVIDER&quot; =&gt; &quot;Provider&quot;, &quot;SEARCH&quot; =&gt; &quot;Search&quot;, &quot;SEARCH_LABEL&quot; =&gt; &quot;Search&quot;, &quot;SEARCH_PLACEHOLDER&quot; =&gt; &quot;Search for OER ...&quot;, &quot;SEARCH_BUTTON_TEXT&quot; =&gt; &quot;Suche&quot;], &quot;cards&quot; =&gt; [&quot;SUBJECT&quot; =&gt; &quot;Subject :&quot;, &quot;MATERIAL_TYPE&quot; =&gt; &quot; Material type :&quot;, &quot;DESCRIPTION&quot; =&gt; &quot;Description&quot;, &quot;NAME&quot; =&gt; &quot;Name&quot;, &quot;LICENSE&quot; =&gt; &quot;License :&quot;, &quot;AUTHOR&quot; =&gt; &quot;Author :&quot;, &quot;DATE_CREATED&quot; =&gt; &quot;Date Created :&quot;, &quot;DATE_PUBLISHED&quot; =&gt; &quot;Publishing year :&quot;, &quot;KEYWORDS&quot; =&gt; &quot;Keywords :&quot;, &quot;DETAILS&quot; =&gt; &quot;To Material&quot;], &quot;collections&quot; =&gt; [&quot;TITLE&quot; =&gt; &quot;Twillo Collection ({{what}})&quot;, &quot;SUBCOLLECTION&quot; =&gt; &quot;Subcollections&quot;, &quot;MATERIALS&quot; =&gt; &quot;Content&quot;, &quot;BUTTON&quot; =&gt; &quot;Show more&quot;]], &quot;de&quot; =&gt; [&quot;translations&quot; =&gt; [&quot;N/A&quot; =&gt; &quot;Nicht definiert&quot;, &quot;INPUT_PLACEHOLDER&quot; =&gt; &quot;Suche bei {{what}}&quot;, &quot;SORT_BY_COUNTER&quot; =&gt; &quot;Sortieren nach nummer {{what}}&quot;, &quot;SORT_BY_LABEL&quot; =&gt; &quot;Sortieren nach label {{what}}&quot;, &quot;CLEAR_ALL&quot; =&gt; &quot;Filter zurücksetzen&quot;, &quot;SHOW_RESULT_STATS&quot; =&gt; &quot;{{total}} Ergebnisse&quot;, &quot;PAGE_SIZE_SELECTION&quot; =&gt; &quot;{{size}} / Seite&quot;, &quot;SHOW_TOTAL&quot; =&gt; &quot;{{rangeStart}}-{{rangeEnd}} von {{total}} Einträgen&quot;, &quot;NOT_FOUND_TITLE&quot; =&gt; &quot;Seite nicht gefunden!&quot;, &quot;NOT_FOUND_BODY&quot; =&gt; &quot;Leider konnten wir die von Ihnen gesuchte Seite nicht finden. Vielleicht haben Sie sich bei der URL vertippt? Überprüfen Sie bitte Ihre Rechtschreibung.&quot;, &quot;NOT_FOUND_LINK&quot; =&gt; &quot;Zur Startseite&quot;, &quot;ABOUT&quot; =&gt; &quot;Fach&quot;, &quot;LICENSE&quot; =&gt; &quot;Lizenz&quot;, &quot;RESOURCE_TYPE&quot; =&gt; &quot;Materialart&quot;, &quot;AUTHOR&quot; =&gt; &quot;Autor:in&quot;, &quot;ORGANISATION&quot; =&gt; &quot;Herkunft&quot;, &quot;LANGUAGE&quot; =&gt; &quot;Sprache&quot;, &quot;PROVIDER&quot; =&gt; &quot;Quelle&quot;, &quot;SEARCH&quot; =&gt; &quot;Suchen&quot;, &quot;SEARCH_LABEL&quot; =&gt; &quot;Suchen&quot;, &quot;SEARCH_PLACEHOLDER&quot; =&gt; &quot;OER finden...&quot;, &quot;SEARCH_BUTTON_TEXT&quot; =&gt; &quot;Suche&quot;], &quot;cards&quot; =&gt; [&quot;SUBJECT&quot; =&gt; &quot;Fach :&quot;, &quot;NAME&quot; =&gt; &quot;Name&quot;, &quot;DESCRIPTION&quot; =&gt; &quot;Bezeichnung&quot;, &quot;MATERIAL_TYPE&quot; =&gt; &quot; Materialart :&quot;, &quot;LICENSE&quot; =&gt; &quot;Lizenz :&quot;, &quot;AUTHOR&quot; =&gt; &quot;Autor:in :&quot;, &quot;DATE_CREATED&quot; =&gt; &quot;Datum erstellt :&quot;, &quot;DATE_PUBLISHED&quot; =&gt; &quot;Erscheinungsjahr :&quot;, &quot;KEYWORDS&quot; =&gt; &quot;Schlüsselwörter :&quot;, &quot;DETAILS&quot; =&gt; &quot;Zum Material&quot;], &quot;collections&quot; =&gt; [&quot;TITLE&quot; =&gt; &quot;twillo Sammlungen&quot;, &quot;SUBCOLLECTION&quot; =&gt; &quot;Untersammlungen&quot;, &quot;MATERIALS&quot; =&gt; &quot;Materialen&quot;, &quot;BUTTON&quot; =&gt; &quot;Mehr Anzeigen&quot;]]]</span></code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
            </section>

        
        
    <script type="text/javascript">
        function loadExternalCodeSnippets(line) {
            Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach((pre) => {
                var src = pre.getAttribute('data-src').replace( /\\/g, '/');
                var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
                var language = 'php';

                var code = document.createElement('code');
                code.className = 'language-' + language;

                pre.textContent = '';

                pre.setAttribute('data-line', line)
                code.textContent = 'Loading…';

                pre.appendChild(code);

                var xhr = new XMLHttpRequest();

                xhr.open('GET', src, true);

                xhr.onreadystatechange = function () {
                    if (xhr.readyState == 4) {

                        if (xhr.status < 400 && xhr.responseText) {
                            code.textContent = xhr.responseText;

                            Prism.highlightElement(code);
                        }
                        else if (xhr.status >= 400) {
                            code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                        }
                        else {
                            code.textContent = '✖ Error: File does not exist, is empty or trying to view from localhost';
                        }
                    }
                };

                xhr.send(null);
            });
        }

        var modals = document.querySelectorAll("[data-modal]");

        modals.forEach(function (trigger) {
            trigger.addEventListener("click", function (event) {
                //event.preventDefault();
                const modal = document.getElementById(trigger.dataset.modal);
                modal.classList.add("phpdocumentor-modal__open");
                loadExternalCodeSnippets(trigger.dataset.line)
                const exits = modal.querySelectorAll("[data-exit-button]");
                exits.forEach(function (exit) {
                    exit.addEventListener("click", function (event) {
                        event.preventDefault();
                        modal.classList.remove("phpdocumentor-modal__open");
                    });
                });
            });
        });
    </script>

    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="classes/Inc-DefaultData-Translation.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/prism.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/autoloader/prism-autoloader.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.min.js"></script>
</body>
</html>
